<?php

		include('../conexion.php');
		
		session_start();
		 
		if($_SESSION['tipo_usu']=='a' or $_SESSION['tipo_usu']=='s'  or $_SESSION['tipo_usu']=='c'){
		}else{
			header('location:acceso_denegado.php');
		}

		$hoy=date("d/m/Y");
        $hora=date("H:i:s");
		
		if ($result = $mysqli->query("SELECT cdgart FROM web_1001 WHERE cdghac=' ' " )) {
 $filas = $result->num_rows;
   $result->close();
}

       $parametros = "SELECT * FROM web_0000 ";
       $result_parametros = $mysqli->query($parametros);
       $row_para = $result_parametros->fetch_array();
     
	   $cantippre =  $row_para["cantippre"];    // se agrega en la version 4.4
	   

if (!isset($_GET["cadena_busqueda"])) { } else  { $cadena_busqueda=$_GET["cadena_busqueda"]; }
if (!isset($cadena_busqueda)) { $cadena_busqueda=""; } else {  $cadena_busqueda=str_replace("",",",$cadena_busqueda); }

  
if ($cadena_busqueda<>"") {
	
 $cadena_busqueda."correcta";
//		$array_cadena_busqueda=str_split("~",$cadena_busqueda);
//	$array_cadena_busqueda= $cadena_busqueda;
//
//echo	$cdgart=$array_cadena_busqueda[1];
//
//echo	$cdgbar=$array_cadena_busqueda[2];
//
//echo	$dscart=$array_cadena_busqueda[3];


  $arrayNombre = explode("~", $cadena_busqueda,5);

  $cdgart= $arrayNombre[1];   //MARTINEZ RAMOS JOSE JUAN
     $cdgbar=$arrayNombre[2];   //MARTINEZ RAMOS JOSE JUAN
	    $dscart =$arrayNombre[3];   //MARTINEZ RAMOS JOSE JUAN

} else {

	$cdgart="";

	$cdgbar="";

	$dscart="";

	

}



?>

<html>

	<head>

		<title>Modulo Inventario</title>

		<link href="../estilos/estilos.css" type="text/css" rel="stylesheet">
		<link href="../calendario/calendar-blue.css" rel="stylesheet" type="text/css">
        
        <script src="../jquery/jquery-1.3.2.js" type="text/javascript"></script>
		<script src="../jquery/jquery.maskedinput-1.2.2.js" type="text/javascript"></script>
        	
		<script type="text/JavaScript" language="javascript" src="../calendario/calendar.js"></script>
		<script type="text/JavaScript" language="javascript" src="../calendario/lang/calendar-sp.js"></script>
		<script type="text/JavaScript" language="javascript" src="../calendario/calendar-setup.js"></script>
		<script type="text/javascript" src="../funciones/validar.js"></script>
		
		
		
		
		<script language="javascript">

		

		var cursor;

		if (document.all) {

		// Está utilizando EXPLORER

		cursor='hand';

		} else {

		// Está utilizando MOZILLA/NETSCAPE

		cursor='pointer';

		}

				
		//nombre del primer campo en la secuencia
		siguienteCampo = ""
		//nombre del formlario
		nombreForm = "form_busqueda"
		
		//funcion que gestiona el evento
		function TelcaPulsada( e ) {
		
		   if ( window.event != null)				//IE4+
			  tecla = window.event.keyCode;
		   else if ( e != null ) 				//N4+ o W3C compatibles
			  tecla = e.which;
		   else
			  return;
			
		   if (tecla == 13) { 					//se pulso enter
			  if ( siguienteCampo == 'fin' ) {			//fin de la secuencia, hace el submit
				 alert('Envio del formulario.')			//eliminar este alert para uso normal
				 return false					//sustituir por return true para hacer el submit
			  } else { 						//da el foco al siguiente campo
				 eval('document.' + nombreForm + '.' + siguienteCampo + '.select()')
				 return false
			  }
		   }
		}
		
		document.onkeydown = TelcaPulsada;			//asigna el evento pulsacion tecla a la funcion
		if (document.captureEvents)				//netscape es especial: requiere activar la captura del evento
			document.captureEvents(Event.KEYDOWN)
			
		


		function inicio() {

			document.getElementById("form_busqueda").submit();
			document.getElementById("cdgbar").focus();
			document.getElementById("cdgbar").select();

		}

		

		function nuevo_flotilla() {

			location.href="nuevo_articulo.php";

		}

		function hola() {
	alert("hola2");
	
	}

		function imprimir() {


			miPopup = window.open("excel_lista_inventario.php");

		}
		function imprimir_sincabys() {

			miPopup = window.open("excel_lista_inventario_sin_cabys.php");

		}
			function imprimir_concabys() {

			miPopup = window.open("excel_lista_inventario_con_cabys.php");

		}	
		
		
			function imprimir_estante() {


			miPopup = window.open("excel_lista_inventario_estante.php");

		}
		
		
					function imprimir_farmacia() {


			miPopup = window.open("excel_lista_inventario_farmacia.php");

		}


		function buscar() {

			var cadena;

			cadena=hacer_cadena_busqueda();

			document.getElementById("cadena_busqueda").value=cadena;

			if (document.getElementById("iniciopagina").value=="") {

				document.getElementById("iniciopagina").value=1;

			} else {

				document.getElementById("iniciopagina").value=document.getElementById("paginas").value;

			}

			document.getElementById("form_busqueda").submit();
          //  document.getElementById("cdgbar").select();
		}

		

		function paginar() {

			document.getElementById("iniciopagina").value=document.getElementById("paginas").value;

			document.getElementById("form_busqueda").submit();

		}

		

		function hacer_cadena_busqueda() {

			var cdgart=document.getElementById("cdgart").value;

			var cdgbar=document.getElementById("cdgbar").value;

			var dscart=document.getElementById("dscart").value;	
			
			var cdgfam=document.getElementById("cdgfam").value;	
			
	

			//var modbus=document.getElementById("modbus").value;

			var cadena="";

			cadena="~"+cdgart+"~"+cdgbar+"~"+dscart+"~"+cdgfam+"~";

			return cadena;

			}

			

		function limpiar() {

			document.getElementById("cdgart").value="";
			document.getElementById("cdgbar").value="";
			document.getElementById("dscart").value="";			
			buscar();
		

		}

		

		function abreVentana(){

			miPopup = window.open("ventana_articulo.php","miwin","width=700,height=380,scrollbars=yes");

			miPopup.focus();

		}



		function validarflotilla(){

			var codigo=document.getElementById("cdgart").value;

			miPopup = window.open("comprobararticulo.php?cdgart="+codigo,"frame_datos","width=700,height=80,scrollbars=yes");

		}	

	function insert_promos(){
	
		if( $('#checkpromo').is(':checked') ) {	
		
		var checkpromos=1;
		
		miPopup = window.open("aplicar_promocion.php?checkpromos="+checkpromos,"frame_datos","width=700,height=80,scrollbars=yes");
		
		//document.getElementById("checkpromos").value="1";
		//document.getElementById("form_busqueda").submit();
		
		}else{
		var checkpromos=0;
		miPopup = window.open("aplicar_promocion.php?checkpromos="+checkpromos,"frame_datos","width=700,height=80,scrollbars=yes");
		
		
		//document.getElementById("checkpromos").value="0";
		//document.getElementById("form_busqueda").submit();
		}
		
		
	
	}	
		


	

		</script>

	    <style type="text/css">
<!--
.Estilo1 {
	font-size: 12pt;
	color: #FFFFFF;
}
-->
        </style>



</head>

    <body onLoad="buscar() , inicio()" >



			<div id="zonaVentanas">

                    
    <div  id="formulario" class="contenido">
	<form id="form_busqueda" name="form_busqueda" method="post" action="rejilla.php" target="frame_rejilla">
      <table  width="100%" cellspacing=0 cellpadding=3 border=0>
        
        <tr>
          <td>&nbsp;</td>
          <td>&nbsp;</td>
          <td align="right">&nbsp;</td>
          <td colspan="3" align="right">&nbsp;</td>
          <td width="12%" rowspan="19" align="center"><img src="../img/search-b-icon (4).png" width="48" height="48" border="0" onClick="buscar()" onMouseOver="style.cursor=cursor" title="Buscar"><img src="../img/Recycle-Full-icon (3).png" name="Refrescar" width="48" height="48" border="0" id="Refrescar" onClick="limpiar()" onMouseOver="style.cursor=cursor" title="Refrescar" ></td>
          <td width="5%" rowspan="19" align="center"><img src="../img/excel_icon_48.fw.png" alt="Imprimir" name="Imprimir" width="48" height="48" onClick="imprimir()" id="Imprimir" title="Imprimir lista de articulos"  onMouseOver="style.cursor=cursor" border="0" ></td>
		            <td width="5%" rowspan="19" align="center"><img src="../img/excel_icon_48.fw.png" alt="Imprimir" name="Imprimir" width="48" height="48" onClick="imprimir_estante()" id="Imprimir" title="Imprimir lista de articulos x Estante"  onMouseOver="style.cursor=cursor" border="0" ></td>
					   <td width="5%" rowspan="19" align="center"><img src="../img/excel_icon_48.fw.png" alt="Imprimir" name="Imprimir" width="48" height="48" onClick="imprimir_farmacia()" id="Imprimir" title="Imprimir lista de articulos de Farmacia"  onMouseOver="style.cursor=cursor" border="0" ></td>
          <td width="4%" rowspan="19" align="center"> <img src="../img/excel_icon_48.fw.png" alt="Imprimir2" name="Imprimir2" width="30" height="30" onClick="imprimir_sincabys()" id="Imprimir2" title="Lista de articulos sin Cabys"  onMouseOver="style.cursor=cursor" border="0" > <img src="../img/excel_icon_48.fw.png" alt="Imprimir2" name="Imprimir2" width="30" height="30" onClick="imprimir_concabys()" id="Imprimir2" title="Lista de articulos Con Cabys"  onMouseOver="style.cursor=cursor" border="0" >  </td>
          <td width="22%" rowspan="19" align="center"><a href="nuevo_articulo.php"><img src="../img/cesta.fw.png"  width="110" height="90"  title="Agregar Nuevo Articulo"></a></td>
        </tr>
        <tr>
          <td width="1%">&nbsp;</td>
          <td width="7%">Código:</td>
          <td width="9%" align="left"><input name="cdgart" type="text"   class="cajaGrande" id="cdgart" value="<?php echo $cdgart?>" maxlength="10"  onFocus="siguienteCampo ='cdgbar';" autocomplete="off" onChange="buscar()" ></td>
          <td width="9%" align="left">Código Barras:</td>
          <td colspan="2" align="left"><input id="cdgbar" name="cdgbar" type="text" class="cajaGrande"  autocomplete="off" maxlength="45" value="<?php echo $cdgbar?>"  onFocus="siguienteCampo ='dscart';"  onChange="buscar()"></td>
        </tr>
        <tr>
          <td rowspan="2">&nbsp;</td>
          <td height="14">Descripción:</td>
          <td colspan="3" align="left"><input id="dscart" type="text" class="cajaGrande" name="dscart"  value="<?php echo $dscart?>"  onFocus="siguienteCampo ='cdgart';"  autocomplete="off"  onKeyPress="buscar()" ></td>
          <td width="13%" align="right">Promocional
          <input type="checkbox" value="" name="checkpromo" id="checkpromo"   onClick="insert_promos()" /></td>
        </tr>
        <tr>
          <td height="14">Familia</td>
          <?php

	$query = "SELECT cdgfam, dscfam FROM familias ORDER BY dscfam";
	$resultado=$mysqli->query($query);
?>
          <td align="right"><select name="cdgfam" id="cdgfam"  class="comboGrande" onChange="buscar()" >
      <option value="">TODAS</option>
      <?php while($row = $resultado->fetch_assoc()) { ?>
      <option value="<?php echo $row['cdgfam']; ?>"><?php echo $row['dscfam']; ?></option>
      <?php } ?>
    </select></td>
          <td align="right"><select name="cdgcabys" id="cdgcabys"  class="comboGrande" onChange="buscar()" >
            <option value="">TODOS</option>          
            <option value="1">SIN CABYS</option>
			<option value="2">CON CABYS</option>
           
          </select></td>
          <td colspan="2" align="right"><input name="cdgpro" type="text"  placeholder="Codigo Proveedor"  class="cajaGrande" id="cdgpro" value="" maxlength="10"  onFocus="siguienteCampo ='cdgbar';" autocomplete="off" onChange="buscar()" ></td>
        </tr>
      </table>

      <div id="lineaResultado">

	    <table class="fuente8" width="90%" cellspacing=0 cellpadding=3 border=0>

			  	<tr>

				<td width="33%" align="left">Cantidad de Articulos 
				  <input id="filas" type="text" class="cajaPequena" NAME="filas" maxlength="5" readonly></td>
       <?php
	   if  ($filas  > 0 ) {  ?>
	   
				<td width="19%" align="left" class="existencia_negativa">Articulos sin Cabys </td>
				<td width="23%" align="right" class="existencia_negativa"><input id="cabys" type="text"  name="cabys" style='text-align:center;' value="<?php echo number_format($filas,2); ?>"   readonly>
				  Fecha Limite 30/11/2020 </td>
				
			    <?php
	  } else{  ?>	
	  
		</td>
		<td width="23%" align="right"></td>  
  
	  
	  <?php
	  }  ?>	
				
	            <td width="25%" align="right">Mostrados
<select name="paginas" id="paginas"   type"hidden"  onChange="paginar()">
                </select></td>
  	    </table>

	  </div>


				<div class="aCentro" id="frmResultado">
				  <table class="fuente8" width="100%" cellspacing=0 cellpadding=3 border=0 ID="Table1">


					  <?php  if ($cantippre <= 1 )  {  ?>
					  
					  		<tr><td width="7%" class="totalResultado">CODIGO</td>
							<td width="13%" class="totalResultado">COD BARRAS</td>
							<td width="25%" class="totalResultado"><div align="left">DESCRIPCION </div></td>
							<td width="8%" class="totalResultado">COD CaByS</td>
							<td width="11%" class="totalResultado">ESTANTE</td>
							<td width="7%" class="totalResultado" align="center">EXISTENCIA</td>
							<td width="11%" class="totalResultado">PRECIO 1 </td>
							<td width="9%" class="totalResultado">&nbsp;</td>
							<td width="3%" class="totalResultado">&nbsp;</td>
					  
  						 <?php } else  { ?> 		

							<tr><td width="7%" class="totalResultado">CODIGO</td>
							<td width="13%" class="totalResultado">COD BARRAS</td>
							<td width="25%" class="totalResultado"><div align="left">DESCRIPCION </div></td>
							<td width="8%" class="totalResultado">COD CaByS</td>
							<td width="11%" class="totalResultado">ESTANTE</td>
							<td width="7%" class="totalResultado" align="center">EXISTENCIA</td>
							<td width="11%" class="totalResultado">PRECIO 1 </td>
							<td width="6%" class="totalResultado">PRECIO 2</td>
							<td width="9%" class="totalResultado">&nbsp;</td>
							<td width="3%" class="totalResultado">&nbsp;</td>
		
					  <?php } ?> 	
					  
					  
						</tr>
				</table>
	  </div>

				
				  <input type="hidden" id="iniciopagina" name="iniciopagina">
				  
				  <input type="hidden" id="chkec" name="chkec">
                 <input type="hidden" id="cdgartpromo" name="cdgartpromo">
				 <input type="hidden" id="checkpromos" name="checkpromos">
				 
				  
				  <input type="hidden" id="cadena_busqueda" name="cadena_busqueda">
				  <iframe style="margin: 0 0 0 0px;" width="100%" height="375" id="frame_rejilla" name="frame_rejilla" frameborder="0">
                  <ilayer height="60" id="frame_rejilla" name="frame_rejilla"></ilayer>
				  </iframe>
				
	  </form>
	  
	  				<iframe id="frame_datos" name="frame_datos" width="0" height="0" frameborder="0">
					<ilayer width="0" height="0" id="frame_datos" name="frame_datos"></ilayer>
					</iframe>

				<div id="">
				  <div class="aCentro" id="frmresultado">
				    <table class="fuente8" width="100%" cellspacing=0 cellpadding=3 border=0 ID="Table1">
                      <tr >
                      </tr>
					  <tr id="frmresultado">
                        
                       
                      </tr>
                    </table>
			      </div>
				
			  </div>
			  </div>
		  </div>			



	</body>

</html>

